/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


.ehf-header #masthead {
    z-index: 99;
    position: absolute;
    width: 100%;
}
.menu-btn {
    margin-left: 30px !important;
}
.sservice-slider {
    background: #fff;
    box-shadow: 0px 0px 5px 0px rgb(0 0 0 / 10%);
    margin: 0 5px 20px;
}
.service-post-thumbnail {
    line-height: 0;
	overflow: hidden
}
.service-post-thumbnail img {
    width: 100%;
	transition: all 0.5s
}
.swiper-slide.swiper-slide-active .service-post-thumbnail img {
    transform: scale(1.8);
}
.service-post-content {
    padding: 25px 36px;
    height: 192px;
    position: relative;
}
.swiper-slide.swiper-slide-active .service-post-content {
    background: white;
}

h3.service-post-title {
    font-family: Lato;
    font-size: 24px;
    font-weight: 600;
    line-height: 32px;
    letter-spacing: 0.02em;
    text-align: left;
    margin: 0 0 10px;
}
h3.service-post-title a {
    color: #000000;
}
.swiper-slide.swiper-slide-active .service-post-content h3.service-post-title a {
    color: #000;
}
.service-post-content p {
    font-family: Lato;
    font-size: 18px;
    font-weight: 500;
    line-height: 28px;
    letter-spacing: 0.02em;
    text-align: left;
    margin: 0;
    color: #000000;
	overflow: hidden;
   display: -webkit-box;
   -webkit-line-clamp: 3; /* number of lines to show */
           line-clamp: 3; 
   -webkit-box-orient: vertical;
}
.swiper-slide.swiper-slide-active .service-post-content p {
    color: #000;
}
a.service-post-btn {
    position: absolute;
    bottom: 15px;
    right: 25px;
}
.swiper-slide.swiper-slide-active .service-post-content a.service-post-btn img {
    filter: invert(99%) sepia(19%) saturate(2756%) hue-rotate(193deg) brightness(144%) contrast(127%);
}
.services-pagination {
    bottom: -35px !important;
}
.services-pagination span.swiper-pagination-bullet {
    width: 14px;
    height: 14px;
    background: #D9D9D9;
    opacity: 1;
}
.services-pagination span.swiper-pagination-bullet.swiper-pagination-bullet-active {
    background: #00AC83;
}
.testimonial-card {
    padding: 36px 33px;
    background: #F6F9FC;
    border-radius: 12px;
    position: relative;
}
.testimonial-card:before {
    content: "";
    position: absolute;
    background: url(https://carplim.se/wp-content/uploads/2025/01/Group-1000004023.png);
    width: 94.76px;
    height: 75.74px;
    right: 75px;
    bottom: 27px;
}
.testimonial-card p {
    font-family: Roboto;
    font-size: 18px;
    font-weight: 500;
    line-height: 28px;
    letter-spacing: 0.02em;
    text-align: left;
    color: #000;
}
.testimonial-body {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-top: 20px !important;
}
.testimonial-body .testimonial-thumbnail {
    line-height: 0;
}
.testimonial-body .testimonial-thumbnail img {
    width: 66px;
}
.testimonial-body h3.testimonial-title {
    font-family: Roboto;
    font-size: 18px;
    font-weight: 600;
    line-height: 20px;
    letter-spacing: 0.02em;
    text-align: left;
    margin-bottom: 5px;
    margin-top: 0;
}
.testimonial-body p.owner-title {
    margin: 0;
}

.image-first {
  position: sticky;
  top: 0;
  transition: opacity 0.2s ease-in-out;
}

.image-first img {
    width: 100%;
}
.sticky-images {
    position: sticky !important;
    top: 150px !important;
}
.owl-dots {
    gap: 10px;
    display: flex;
    justify-content: center;
    margin-top: 30px;
}
.owl-nav {
    display: none;
}
.owl-dots button.owl-dot {
    width: 14px;
    height: 14px;
    background: #D9D9D9 !important;
    opacity: 1;
    border-radius: 50px;
}
.owl-dots button.owl-dot.active {
    background: #00AC83 !important;
}
.real-shop-section {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 65px;
    row-gap: 20px;
    margin-top: 125px;
}
.shop-article {
    background: #fff;
    padding: 20px;
    border-radius: 12px;
}
.post-thumbnail {
    line-height: 0px;
}
.post-thumbnail a img {
    width: 100%;
}
.real-shop-title {
    font-family: "Lato", Sans-serif;
    font-size: 38px;
    font-weight: 700;
    line-height: 48px;
    color: #000000;
    margin: 20px 0px 15px;
}
.real-shop-title a {
    color: #000;
}
.real-shop-body p {
    width: var(--container-widget-width, 520px);
    max-width: 520px;
    --container-widget-width: 520px;
    --container-widget-flex-grow: 0;
    color: #000000;
    font-family: "Lato", Sans-serif;
    font-size: 18px;
    font-weight: 400;
    line-height: 28px;
}
.owner-name, p.owner-designation {
    font-family: Lato;
    font-size: 18px;
    font-weight: 600;
    line-height: 24px;
    letter-spacing: 0.02em;
    text-align: left;
    margin: 30px 0 0;
}
.owner-designation {
    margin-bottom: 0;
}
a.real-post-btn {
    background-color: #61CE7000;
    font-family: "Roboto", Sans-serif;
    font-size: 20px;
    font-weight: 500;
    fill: #00AC83;
    color: #00AC83;
    padding: 0px 0px 0px 0px;
    display: flex;
    align-items: center;
    gap: 20px;
    margin-top: 30px;
}
.shop-article:nth-child(2), .shop-article:nth-child(4) {
    margin-top: -91px;
    margin-bottom: 90px;
}
p.owner-designation {
    margin: 6px 0 0 !important;
}
/* Linear wipe animation styling */
.linear-wipe h2, .linear-wipe h3, .real-shop-title {
    background: linear-gradient(to right, #000 20%, #00AC83 40%, #00AC83 60%, #000 80%);
    background-size: 200% auto;
    color: #000;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: shine 3s linear infinite;
}

/* Keyframes for the shine animation */
@keyframes shine {
  100% {
    background-position: 200% center;
  }
}
.image-first img {
  transition: opacity 0.6s ease-in-out; /* Adjust duration for smoother fade */
  opacity: 0; /* Start with full transparency */
}
@media (max-width: 1500px) and (min-width: 1367px) {
	.banner-title .elementor-heading-title {
    font-size: 55px !important;
    line-height: 65px !important;
}
	.banner-text-content {
    --container-widget-width: 630px !important;
    font-size: 16px !important;
}
.title-scnd .elementor-heading-title {
    font-size: 50px !important;
    line-height: 60px !important;
}
	.real-shop-title {
    font-size: 35px;
    line-height: 48px;
}
	.shop-pading {
    padding-left: 80px !important;
    padding-right: 80px !important;
}
	.service-post-content {
    padding: 23px 24px;
    height: 200px;
}
	.service-post-content p {
    font-size: 17px;
}
	.text-way {
    max-width: 556px !important;
    --container-widget-width: 542px !important;
}
	.text-trust {
    max-width: 686px !important;
    --container-widget-width: 686px !important;
}
	.footer-last-colom {
    padding-left: 80px !important;
}
	h3.service-post-title {
    font-size: 21px;
}
}
@media (max-width: 1366px) {
	.real-shop-title {
    font-size: 35px;
    line-height: 48px;
}
	.service-post-content {
        padding: 23px 24px;
        height: 200px;
    }
	.real-shop-section {
    margin-top: 100px;
}
	    .real-shop-title {
        font-size: 30px;
        line-height: 35px;
    }
	h3.service-post-title {
    font-size: 20px;
}
	
}
@media (max-width: 1280px) {
   h3.service-post-title {
        font-size: 18px;
    }
	.service-post-content p {
    font-size: 16px;
    line-height: 24px;
}
}
@media (max-width: 1200px) {
	.real-shop-section {
        margin-top: 100px;
    }
	  .real-shop-section {
    column-gap: 20px;
}  
}
@media (max-width: 1024px) {
	.real-shop-body p {
    width: 100%;
    max-width: 100%;
    font-size: 16px;
    line-height: 26px;
}
	.menu-btn {
    margin-left: 0px !important;
    width: 179px;
}
	.service-post-content {
        padding: 20px 20px;
    }
	    .service-post-content p {
        -webkit-line-clamp: 2;
    }
	.testimonial-card:before {
    width: 60.76px;
    height: 49.74px;
    right: 46px;
    bottom: 27px;
    background-size: 61px;
}
}
@media (max-width: 575px) {
	.testimonial-card {
    padding: 30px 20px;
}
	.testimonial-card p {
    font-size: 16px;
    line-height: 25px;
}
	.testimonial-card:before {
    display: none;
}
	    .real-shop-section {
        column-gap: 0px;
        grid-template-columns: 1fr;
    }
	.real-shop-section {
        margin-top: 20px;
    }
	.real-shop-section {
        margin-top: 10px;
    }
	.shop-article:nth-child(2), .shop-article:nth-child(4) {
    margin-top: 0;
    margin-bottom: 0;
}
	.owl-dots {
    margin-top: 20px;
}
	.service-post-content {
        height: 170px;
    }
	.real-shop-title {
        font-size: 26px;
        line-height: 30px;
    }
	a.real-post-btn {
    font-size: 16px;
}
	.services-pagination span.swiper-pagination-bullet {
    width: 12px;
    height: 12px;
}
	.owl-dots button.owl-dot {
    width: 12px;
    height: 12px;
}
}